
package negocio;

import datos.IdiomasXML;
import encapsuladores.Idioma;
import excepciones.GenericaExcepcion;
import java.io.IOException;
import java.util.List;
import org.jdom2.JDOMException;

public class Idiomas {
    
    public List<Idioma> getListaIdiomas() throws JDOMException, IOException {
        return new IdiomasXML().getListaIdiomas();
    }
       
    public int[] getNumeroCadenas() throws GenericaExcepcion, JDOMException, IOException {      
       return new IdiomasXML().getNumeroCadenas();
    }
            
    public void leerCadenas(String idioma, Object[] aglutinaArraysCadenas) throws GenericaExcepcion, JDOMException, IOException{
       new IdiomasXML().leerCadenas(idioma, aglutinaArraysCadenas);
    }
}
